
TYPO3.Neos - Bug # 9681

Status: Resolved Priority: Must have
Author: Christian Jul Jensen Category:
Created: 2010-09-10 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: DomainRepository->findByHost passes wrong parameter type 
Description

F3\TYPO3\Domain\Repository\Configuration\DomainRepository->findByHost directly passes the result $this->findAll() to
getSortedMatches.

findAll returns an objcet, but getSortedMatches expects an array

Associated revisions
Revision 80aab034 - 2010-09-10 18:22 - Karsten Dambekalns

[~TASK] Adjust TYPO3 to QueryResultProxy in FLOW3

The QueryResultProxy returned by default in the FLOW3 persistence layer
is not an array, so we need to adjust things a little.

Change-Id: I7858d5beda3903e9943ad480901b466a217a4906
Fixes: #9681
Relates to: #8774

History
#1 - 2010-09-10 18:24 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Priority changed from Should have to Must have
- % Done changed from 0 to 100

See https://review.typo3.org/61 for the proposed solution...

#2 - 2010-09-13 11:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved

Applied in changeset commit:"80aab0344d6a0a39c146bc854c57bb68abbcc79a".
